"""Proxy harvester module"""
import re
import requests


def fetch_list(url):
    try:
        response = requests.get(url)
        response.raise_for_status()
    except requests.RequestException:
        return []

    # proxy_regex = r"(?:\d{1,3}\.){3}\d{1,3}:\d+"
    proxy_regex = r"(?:\b(?:[\S]+:)?(?:[\S]+)?@\b)?(?:\d{1,3}\.){3}\d{1,3}:\d+"
    proxies = re.findall(proxy_regex, response.text)
    return proxies


def validate(proxy, type='http'):
    # Check regex
    return None
